@import "src/stylesheets/modules/colors";
@import "src/stylesheets/modules/media-queries";

.show-grid {
    position: relative;

    &::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1000;
        opacity: 0.5;
        pointer-events: none;
        background: {
            image: linear-gradient(to bottom, transparentize($color-accent, 0.9) 1px, transparent 1px), linear-gradient(to right, transparentize($color-accent, 0.9) 1px, transparent 1px);
            position: left -1px, -1px top;
            repeat: repeat, repeat;
            size: 1rem 1rem, 1rem 1rem;
        }
    }
}

:root {
    font-size: 16px;
}

body {
    font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: 1rem;
    line-height: 2rem;
    margin: 0 auto;
}

h1 {
    font-family: inherit;
    font-weight: 300;
    font-style: inherit;
    font-size: 3.375rem;
    line-height: 4rem;
    margin-top: 1.5rem;
    margin-bottom: 0;

    @include mobile {
        font-size: 3rem;
    }

    + p {
        margin-top: 1.5rem;
    }
}

h2 {
    font-family: inherit;
    font-weight: 300;
    font-style: inherit;
    font-size: 2.25rem;
    line-height: 3rem;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

h3 {
    font-family: inherit;
    font-weight: 300;
    font-style: inherit;
    font-size: 1.5rem;
    line-height: 1.5rem;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

h4 {
    font-family: inherit;
    font-weight: 400;
    font-style: inherit;
    font-size: 1rem;
    line-height: 1.5rem;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

h5 {
    font-family: inherit;
    font-weight: 400;
    font-style: italic;
    font-size: 1rem;
    line-height: 1.5rem;
    margin-top: 1.5rem;
    margin-bottom: 0;
}

blockquote,
ol,
p,
pre,
table,
ul {
    margin-top: 0;
    margin-bottom: 1.5rem;
}

ol ol,
ol ul,
ul ol,
ul ul {
    margin-top: 0;
    margin-bottom: 0;
}

hr {
    border: 1px solid;
    margin: -1px 0;
}

b,
code,
em,
small,
strong {
    line-height: 1;
}

sup {
    line-height: 0;
    position: relative;
    vertical-align: baseline;
    top: -0.5em;
}

sub {
    bottom: -0.25em;
}

a {
    color: $color-accent;
}
